Name:           Zim
Version:        0.29
Release:        1%{?dist}
Summary:        Desktop wiki & notekeeper

Group:          Applications/Editors
License:        GPL+ or Artistic
URL:            http://zim-wiki.org/ 
Source0:        http://www.zim-wiki.org/downloads/Zim-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# non-perl
BuildRequires:  sed, desktop-file-utils

# core
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Simple)
# cpan
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(File::BaseDir)
BuildRequires:  perl(File::DesktopEntry)
BuildRequires:  perl(File::MimeInfo) >= 0.12
BuildRequires:  perl(Gtk2) >= 1.040
BuildRequires:  perl(Gtk2::TrayIcon)
BuildRequires:  perl(Gtk2::Spell)
# test
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
# non-perl req for tests
BuildRequires:  bzr, gettext, man

# not picked up automatically
Requires:       perl(Gtk2::TrayIcon)

# non-perl requires -- for the InsertScreenshot plugin 
Requires:       scrot
Requires:       shared-mime-info

%{?perl_default_filter}

%description
Zim is a WYSIWYG text editor written in Gtk2-Perl which aims to bring the
concept of a wiki to your desktop. Every page is saved as a text file with
wiki markup. Pages can contain links to other pages, and are saved
automatically. Creating a new page is as easy as linking to a non-existing
page. Pages are ordered in a hierarchical structure that gives it the look
and feel of an outliner. This tool is intended to keep track of TODO lists
or to serve as a personal scratch book. 


%prep
%setup -q

find . -type f -exec chmod -c -x {} +
#sed -i 's/\r//' share/zim/plugins/Subversion.pl

# We're not running on Win32.  Really :)
rm -f ./lib/Zim/OS/Win32.pm
rmdir ./lib/Zim/OS


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

desktop-file-install --vendor="fedora" --delete-original    \
    --dir=%{buildroot}%{_datadir}/applications              \
     %{buildroot}%{_datadir}/applications/zim.desktop


%check
# _still_ borked *sigh*
%{?!_with_display_tests: rm t/[78][01]*.t }
./Build test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes contrib/ 
%{perl_vendorlib}/*
%{_mandir}/man[13]/*.[13]*
%{_bindir}/*
%{_datadir}/zim
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/zim.xml


%changelog
* Tue Feb 09 2010 Chris Weyl <cweyl@alumni.drew.edu>
- update to 0.29
- add perl_default_filter

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.28-3
- rebuild against perl 5.10.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 16 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.28-1
- update to 0.28

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 21 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.27-1
- update to 0.27

* Thu Sep 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.26-1
- update to 0.26

* Tue Aug 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.25-2
- drop tests entirely for the moment.

* Sun Aug 03 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.25-1
- update to 0.25
- note we nuke t/71_gui_daemon.t -- it fails under perl 5.10; per
  upstream it's '...not a problem during normal usage of the program.'

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.23-2
Rebuild for new perl

* Thu Nov 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.23-1
- update to 0.23

* Wed Oct 03 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- update to 0.21
- add contrib/, TRepository.PL to doc
- update license tag: GPL -> GPL+
- add a requires on scrot, for the InsertScreenshot plugin

* Wed May 30 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.19-2
- add a require on Gtk2::TrayIcon; not picked up automatically
- some BR refactoring given perl splittage

* Thu Mar 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- and hot on the heels of 0.18 is 0.19! :)

* Sat Mar 17 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.18-1
- update to 0.18
- fix homepage/download links
- drop dep on shared-mime-info as bz#215972 has been resolved

* Tue Nov 21 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-3
- bump

* Thu Nov 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-2
- add requires on shared-mime-info

* Wed Nov 15 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- initial packaging.
